using System;
using System.Collections.Generic;

namespace Buypeeb {

	class Settings {
		public int updateInterval { get; set; } = 10 * 60;
		public int favouriteUpdateInterval { get; set; } = 5 * 60;
		public int updateIntervalCritical { get; set; } = 60;
		public int favouriteUpdateIntervalCritical { get; set; } = 30;

		public Dictionary<string, Listing> watchlist {
			get; set;
		}

		public Settings() {
			if (this.watchlist == null) {
				// either this is the first time the program has been run, or there's something wrong with userdata.json
				this.watchlist = new Dictionary<string, Listing>();
				// this.Watch("https://buypeeb.biz/whatever/k12345", "my thingy");
				// this.Watch("https://buypeeb.biz/whatever/z09876", "your thingy");
				// this.Watch("https://buypeeb.biz/whatever/h55555", "our thingy");
				// for (int i = 0; i < 10; i++) {
				// 	this.Watch($"https://buypeeb.biz/whatever/x{i * 123}", $"filler {i}");
				// }
				// this.watchlist["k12345"].Update();
			}

		}

		public void Watch(string url, string name) {
			string id = BuypeebApp.IDFromURL(url);
			Console.WriteLine(id);
			this.watchlist[id] = new Listing(url, id, name);

			foreach (KeyValuePair<string, Listing> entry in this.watchlist) {
				Console.WriteLine("{0} - {1}", entry.Value.name, entry.Value.price);
			}
		}
	}
}
